Skip to main content
POST
/
v4
/
bulk
/
custom_fields
Bulk create custom fields
curl --request POST \
  --url https://api.kit.com/v4/bulk/custom_fields \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "custom_fields": [
    {
      "label": "Test Custom Field 0"
    },
    {
      "label": "Test Custom Field 1"
    },
    {
      "label": "Test Custom Field 2"
    },
    {
      "label": "Test Custom Field 3"
    }
  ],
  "callback_url": null
}
'
require 'uri'
require 'net/http'

url = URI("https://api.kit.com/v4/bulk/custom_fields")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"custom_fields\": [\n {\n \"label\": \"Test Custom Field 0\"\n },\n {\n \"label\": \"Test Custom Field 1\"\n },\n {\n \"label\": \"Test Custom Field 2\"\n },\n {\n \"label\": \"Test Custom Field 3\"\n }\n ],\n \"callback_url\": null\n}"

response = http.request(request)
puts response.read_body
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_fields: [
{label: 'Test Custom Field 0'},
{label: 'Test Custom Field 1'},
{label: 'Test Custom Field 2'},
{label: 'Test Custom Field 3'}
],
callback_url: null
})
};

fetch('https://api.kit.com/v4/bulk/custom_fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.kit.com/v4/bulk/custom_fields"

payload := strings.NewReader("{\n \"custom_fields\": [\n {\n \"label\": \"Test Custom Field 0\"\n },\n {\n \"label\": \"Test Custom Field 1\"\n },\n {\n \"label\": \"Test Custom Field 2\"\n },\n {\n \"label\": \"Test Custom Field 3\"\n }\n ],\n \"callback_url\": null\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/bulk/custom_fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'custom_fields' => [
[
'label' => 'Test Custom Field 0'
],
[
'label' => 'Test Custom Field 1'
],
[
'label' => 'Test Custom Field 2'
],
[
'label' => 'Test Custom Field 3'
]
],
'callback_url' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.kit.com/v4/bulk/custom_fields"

payload = {
"custom_fields": [{ "label": "Test Custom Field 0" }, { "label": "Test Custom Field 1" }, { "label": "Test Custom Field 2" }, { "label": "Test Custom Field 3" }],
"callback_url": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "custom_fields": [
    {
      "id": 143,
      "key": "existing_custom_field",
      "label": "Existing Custom Field",
      "name": "ck_field_143_existing_custom_field",
      "created_at": "2023-02-17T11:43:55Z"
    },
    {
      "id": 145,
      "key": "interests",
      "label": "Interests",
      "name": "ck_field_145_interests",
      "created_at": "2023-02-17T11:43:55Z"
    },
    {
      "id": 144,
      "key": "last_name",
      "label": "Last name",
      "name": "ck_field_144_last_name",
      "created_at": "2023-02-17T11:43:55Z"
    }
  ],
  "failures": []
}
{}
{
"errors": [
"The access token is invalid"
]
}
{
"errors": [
"This request exceeds your queued bulk requests limit. Please wait while we process your existing requests and try again later."
]
}
{
"errors": [
"No custom fields included for processing"
]
}

Authorizations

Authorization
string
header
required

Authenticate API requests via an OAuth token

Body

application/json
custom_fields
object[]
required
callback_url
string | null

Response

Creates the custom_fields synchronously when 100 or less custom fields are requested

custom_fields
object[]
required
failures
any[]
required